FOREIGN_FILTER_REGISTER(3)

EXPERIMENTAL_FUNC
foreign_filter_register - Register a filter.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_filter_register

(CONST char *extension,CONST char *converter_prog, pid_t (*run) (CONST char *filename, int stdout_fd, int close_fd, int *waitflags), CONST char *tester_prog, flag (*tester_func) (CONST char *dirname, flag test_dir), unsigned int output_type, CONST char *name)

DESCRIPTION
Register a filter.

extension
    The filename extension. If NULL, the file format is a directory dataset.

converter_prog
    The programme used to convert data.

run The function used to run a new programme.

tester_prog
    The programme used to test the data.

tester_func
    The function used to test the data.

output_type
    The output type of the converter.

name
    The name of the data format.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/